Update IP address for dynamic DNS hostname

Automatically update the IP address associated with a dynamic DNS hostname. Requires a token obtained from GET /api/domains/{domainId}/dyndns for authentication. This is useful when your IP address changes regularly to ensure your hostname always points to the correct address.

Domain Services Domains

Context

Workflow links

Query Parameters

hostname string required · Example: example.com
ip string · Example:
token string required · Example: YOUR_SECRET

Headers

Accept Example
Content-Type Example

Responses

200

No response body

GET https://cloud.hostup.se/api/dyndns/update
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/dyndns/update?hostname=example.com&token=YOUR_SECRET" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{}